UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Observer milekro
Observer
7,657 Views
Registered: ‎01-23-2013

Error installing Qwt libraries for Zynq Base TRD 2014.4

Hello,

 

I'm currently working in Linux SO (Ubuntu 14.04 LTS 64 bits) following the next tutorial:

http://www.wiki.xilinx.com/Zynq+Base+TRD+2014.4

in the process to install the Qt and Qwt libraries:

 

http://www.wiki.xilinx.com/Zynq+Qt+and+Qwt+Base+Libraries-Build+Instructions

 

and got the next error when I am in 2.4 step to make the build

../../include/QtCore/../../src/corelib/arch/qatomic_arm.h: Mensajes del ensamblador:
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %dl,%al,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %dl,%bpl,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %cl,%dl,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %dl,%al,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %al,%bpl,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %cl,%dl,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131:Error: no such instruction: `swpb %dl,%al,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %al,%bpl,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %cl,%dl,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %al,%r13b,[%rbx]'
../../include/QtCore/../../src/corelib/arch/qatomic_arm.h:131: Error: no such instruction: `swpb %dl,%al,[%rbx]'

 

...

 

make[1]: *** [.obj/release-shared-emb-arm/qabstractanimation.o] Error 1
make[1]: se sale del directorio «/usr/qt/build/qt-everywhere-opensource-src-4.7.3/src/corelib»
make: *** [sub-corelib-make_default-ordered] Error 2

 

Could you help me to solve it?

 

thanks

milekro

0 Kudos
1 Reply
Participant gsanson
Participant
7,629 Views
Registered: ‎04-13-2015

Re: Error installing Qwt libraries for Zynq Base TRD 2014.4

I get the same issue on a SUSE11 SP3 32bit box

0 Kudos